import request from "@/utils/request"

/* 数据库管理 */

export function getDbPage(params = {}) {
  return request({
    url: "/cloud-upms/sys/db/info/page",
    method: "get",
    params,
  })
}

export function addDb(data = {}) {
  return request({
    url: "/cloud-upms/sys/db/info",
    method: "post",
    data,
  })
}

// 测试连接
export function testDb(data = {}) {
  return request({
    url: "/cloud-upms/sys/db/info/test/connection",
    method: "post",
    data,
  })
}
